Ruby beginner here.
I'm trying to set up my testing environment on eclipse.
Consider the following trivial unit test

======================
require "test/unit"
class Test2 < Test::Unit::TestCase
  puts `ruby -v`
end
======================

If I run this as a "Ruby Application" (right-click, Run As...) I get the
expected result:

========================
ruby 1.9.3p286 (2012-10-12 revision 37165) [x86_64-linux]
Run options:

# Running tests:

Finished tests in 0.000726s, 0.0000 tests/s, 0.0000 assertions/s.

0 tests, 0 assertions, 0 failures, 0 errors, 0 skips
================

However, If I run it instead as a "Test::Unit Test" I get the following
error:

==================
/home/assaf/.rvm/rubies/ruby-1.9.3-p286/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
`require': cannot load such file -- test/unit/ui/testrunnermediator
(LoadError)
==================

Can anyone please explain what I'm doing wrong.

Thanks.

Assaf.

-- 
Posted via http://www.ruby-forum.com/.